Class FSFederationTerminationNotification


  • @Deprecated
    public class FSFederationTerminationNotification
    extends AbstractRequest
    Deprecated.
    since 12.0.0
    This class has methods for creating object and message for Federation Termination.
    • Field Detail

      • xmlString

        protected String xmlString
        Deprecated.
      • signatureString

        protected String signatureString
        Deprecated.
      • id

        protected String id
        Deprecated.
    • Constructor Detail

      • FSFederationTerminationNotification

        public FSFederationTerminationNotification()
        Deprecated.
        Default Constructor.
      • FSFederationTerminationNotification

        public FSFederationTerminationNotification​(Element root)
                                            throws FSMsgException
        Deprecated.
        Creates FSFederationTerminationNotification from a Document Element.
        Parameters:
        root - the Document Element.
        Throws:
        FSMsgException - if there is an error creating this object.
      • FSFederationTerminationNotification

        public FSFederationTerminationNotification​(String requestId,
                                                   String providerID,
                                                   NameIdentifier nameId)
                                            throws FSMsgException
        Deprecated.
        Creates FSFederationTerminationNotification object.
        Parameters:
        requestId - the request identifier.
        providerID - the provider identifier.
        nameId - the NameIdentifier object.
        Throws:
        FSMsgException - if there is an error creating this object.
    • Method Detail

      • toXMLString

        public String toXMLString​(boolean includeNS,
                                  boolean declareNS)
                           throws FSMsgException
        Deprecated.
        Returns the string representation of this object. This method translates the response to an XML document string based on the Response schema described above.
        Returns:
        An XML String representing the response. NOTE: this is a complete SAML response xml string with ResponseID, MajorVersion, etc.
        Throws:
        FSMsgException - if there is an error converting this object ot a string.
      • toXMLString

        public String toXMLString​(boolean includeNS,
                                  boolean declareNS,
                                  boolean includeHeader)
                           throws FSMsgException
        Deprecated.
        Returns a String representation of the <samlp:Response> element.
        Parameters:
        includeNS - Determines whether or not the namespace qualifier is prepended to the Element when converted
        declareNS - Determines whether or not the namespace is declared within the Element.
        includeHeader - Determines whether the output include the xml declaration header.
        Returns:
        a string containing the valid XML for this element
        Throws:
        FSMsgException - if there is an error converting this object ot a string.
      • toXMLString

        public String toXMLString()
                           throws FSMsgException
        Deprecated.
        Returns the string representation of this object. This method translates the response to an XML document string.
        Returns:
        An XML String representing the response. NOTE: this is a complete SAML response xml string with ResponseID, MajorVersion, etc.
        Throws:
        FSMsgException
      • getID

        public String getID()
        Deprecated.
        Returns the value of id attribute.
        Returns:
        the value of id attribute.
        See Also:
        setID(String)
      • setID

        public void setID​(String id)
        Deprecated.
        Sets the value of id attribute.
        Parameters:
        id - the value of id attribute.
        See Also:
        getID()
      • setRelayState

        public void setRelayState​(String relayState)
        Deprecated.
        Set the value of RelayState attribute.
        Parameters:
        relayState - the value of RelayState attribute.
        See Also:
        getRelayState()
      • getRelayState

        public String getRelayState()
        Deprecated.
        Returns the value of RelayState attribute.
        Returns:
        the value of RelayState attribute.
        See Also:
        setRelayState(String)
      • setMinorVersion

        public void setMinorVersion​(int version)
        Deprecated.
        Sets the value of MinorVersion attribute.
        Overrides:
        setMinorVersion in class AbstractRequest
        Parameters:
        version - the value of MinorVersion attribute.
        See Also:
        getMinorVersion()
      • getProviderId

        public String getProviderId()
        Deprecated.
        Returns the value of ProviderID attribute.
        Returns:
        the value of ProviderID attribute.
        See Also:
        setProviderId(String)
      • setProviderId

        public void setProviderId​(String providerID)
        Deprecated.
        Sets the value of ProviderID attribute.
        Parameters:
        providerID - the value of ProviderID attribute.
        See Also:
        getProviderId()
      • getNameIdentifier

        public NameIdentifier getNameIdentifier()
        Deprecated.
        Returns the NameIdentifier object.
        Returns:
        the NameIdentifier object.
      • setNameIdentifier

        public void setNameIdentifier​(NameIdentifier nameId)
        Deprecated.
        Sets the NameIdentifier object.
        Parameters:
        nameId - the NameIdentifier object.
      • toURLEncodedQueryString

        public String toURLEncodedQueryString()
                                       throws FSMsgException
        Deprecated.
        Returns an URL encoded query string.
        Returns:
        a URL encoded query string.
        Throws:
        FSMsgException - if there is an error.
      • toBASE64EncodedString

        public String toBASE64EncodedString()
                                     throws FSMsgException
        Deprecated.
        Returns a Base64 encoded string representing this object.
        Returns:
        a Base64 encoded string representing this object.
        Throws:
        FSMsgException - if there is an error creating a Base64 encoded string.
      • parseURLEncodedRequest

        public static FSFederationTerminationNotification parseURLEncodedRequest​(jakarta.servlet.http.HttpServletRequest request)
                                                                          throws FSMsgException,
                                                                                 SAMLException
        Deprecated.
        Returns FSFederationTerminationNotification object. The object is creating by parsing the HttpServletRequest object.
        Parameters:
        request - the HttpServletRequest object.
        Throws:
        FSMsgException - if there is an error creating FSFederationTerminationNotification object.
        SAMLException
      • signXML

        public void signXML​(String certAlias)
                     throws SAMLException
        Deprecated.
        Signs the FSFederationTerminationNotification. object
        Parameters:
        certAlias - the Certificate Alias
        Throws:
        SAMLException - if FSFederationTerminationNotification cannot be signed.
      • setSignature

        public boolean setSignature​(Element elem)
        Deprecated.
        Sets the Element signature.
        Overrides:
        setSignature in class AbstractRequest
        Parameters:
        elem - the Element object
        Returns:
        true if signature is set otherwise false